Page MenuHomePhabricator

Lookup by property label for {{#property}} and {{#statements}} is broken (WMF production environment)
Closed, DuplicatePublic

Description

How to reproduce:

  1. Edit: https://en.wikipedia.org/w/index.php?title=Berlin
  2. Enter:
{{#property:coordinate location}}

{{#statements:coordinate location}}

{{#property:P625}}
  1. Press "show preview"

Expected: 3x coordinates of Berlin
Actual:

Failed to render property coordinate location: Property not found for label 'coordinate location' and language 'en'

Failed to render property coordinate location: Property not found for label 'coordinate location' and language 'en'

52°31'N, 13°23'E

On Wikibase latest code, this seem to be OK. (client/tests/phpunit/includes/DataAccess/ParserFunctions/PropertyParserFunctionIntegrationTest.php pass)

Event Timeline

eranroz created this task.May 26 2018, 6:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2018, 6:06 AM

May be related to T195520

Yes, that's exactly why. In the meantime you can just hardcode the P###.

Vvjjkkii renamed this task from Lookup by property label for {{#property}} and {{#statements}} is broken (WMF production environment) to t8baaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from t8baaaaaaa to Lookup by property label for {{#property}} and {{#statements}} is broken (WMF production environment).Jul 2 2018, 3:43 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.